DH_PUREDATA_SUBSTVAR(1)

NAME
dh_puredata_substvar - generate substitution variables for a Pd external package

SYNOPSIS
dh_puredata_substvar [debhelper options]

DESCRIPTION
dh_puredata_substvar generates the substitution variables "${puredata:Depends}", "${puredata:Recommends}" and "${puredata:Suggests}", as well as "${puredata:Provides}". Useful for creating Debian packages for Pd-externals.

SEE ALSO
debhelper(7), dh(1)

This program is meant to be used together with debhelper for Debian packages derived from Pd externals packages. It is recommended to enable it by adding the dh-sequence-puredata virtual package to Build-Depends, Build-Depends-Arch or Build-Depends-Indep. This is equivalent to adding dh-puredata to the same field and adding --with=puredata to the dh sequencer in debian/rules, except that only -arch/-indep/profiled builds are affected. This is also slightly more simple in the most common case.

AUTHOR
IOhannes m zmölnig <umlaeute@debian.org>